<?php

include_once("../../formularios/data/connect.php");

if (stristr($_SERVER["HTTP_ACCEPT"],"application/xhtml+xml"))
	header("Content-type: application/xhtml+xml");
else
	header("Content-type: text/xml");
				
$op = $_GET['op'] ? $_GET['op'] : '';
$buscid = $_GET['buscid'] ? $_GET['buscid'] : 0;

$depto = isset($_GET['depto']) ? $_GET['depto'] : '';
$ente = isset($_GET['ente']) ? $_GET['ente'] : '';
$nombre = isset($_GET['nombre']) && $_GET['nombre']!='undefined' ? utf8_encode($_GET['nombre']) : '';
$egR = isset($_GET['egR']) ? $_GET['egR'] : '';
$egA = isset($_GET['egA']) ? $_GET['egA'] : '';
$egV = isset($_GET['egV']) ? $_GET['egV'] : '';
$ecR = isset($_GET['ecR']) ? $_GET['ecR'] : '';
$ecA = isset($_GET['ecA']) ? $_GET['ecA'] : '';
$ecV = isset($_GET['ecV']) ? $_GET['ecV'] : '';
$epR = isset($_GET['epR']) ? $_GET['epR'] : '';
$epA = isset($_GET['epA']) ? $_GET['epA'] : '';
$epV = isset($_GET['epV']) ? $_GET['epV'] : '';
$erR = isset($_GET['erR']) ? $_GET['erR'] : '';
$erA = isset($_GET['erA']) ? $_GET['erA'] : '';
$erV = isset($_GET['erV']) ? $_GET['erV'] : '';

print '<?xml version="1.0" encoding="utf-8"?>'."\n".
		'<rows>'."\n";

$sql = '';

if($depto)
	$sql .= "P.IdDepartamento = $depto AND ";

if($ente)
	$sql .= "P.IdEntidad = $ente AND ";

if($nombre)
	$sql .= "P.Nombre LIKE '%$nombre%' AND ";
	
if($egR || $egA || $egV)
{
	$sql .= '(';
	if($egR)
		$sql .= 'E.EvaluacionGeneral <= 3 OR ';
	if($egA)
		$sql .= '(E.EvaluacionGeneral > 3 AND E.EvaluacionGeneral <= 7) OR ';
	if($egV)
		$sql .= 'E.EvaluacionGeneral > 7 OR ';
	$sql = substr($sql,0, strlen($sql) - 4);
	$sql .= ') AND ';
}

if($ecR || $ecA || $ecV)
{
	$sql .= '(';
	if($ecR)
		$sql .= 'E.EvaluacionCosto <= 3 OR ';
	if($ecA)
		$sql .= '(E.EvaluacionCosto > 3 AND E.EvaluacionCosto <= 7) OR ';
	if($ecV)
		$sql .= 'E.EvaluacionCosto > 7 OR ';
	$sql = substr($sql,0, strlen($sql) - 4);
	$sql .= ') AND ';
}

if($epR || $epA || $epV)
{
	$sql .= '(';
	if($epR)
		$sql .= 'E.EvaluacionPlan <= 3 OR ';
	if($epA)
		$sql .= '(E.EvaluacionPlan > 3 AND E.EvaluacionPlan <= 7) OR ';
	if($epV)
		$sql .= 'E.EvaluacionPlan > 7 OR ';
	$sql = substr($sql,0, strlen($sql) - 4);
	$sql .= ') AND ';
}

if($erR || $erA || $erV)
{
	$sql .= '(';
	if($erR)
		$sql .= 'E.EvaluacionResponsable <= 2 OR ';
	if($erA)
		$sql .= '(E.EvaluacionResponsable > 2 AND E.EvaluacionResponsable <= 3.5) OR ';
	if($erV)
		$sql .= 'E.EvaluacionResponsable > 3.5 OR ';
	$sql = substr($sql,0, strlen($sql) - 4);
	$sql .= ') AND ';
}

$sql = substr($sql,0, strlen($sql) - 5);

$query = "SELECT P.IdPrograma, Nombre, NombreResponsable, E.EvaluacionResponsable, DATE_FORMAT(E.Fecha,'%d/%m/%Y') AS Fecha FROM programas P LEFT JOIN (SELECT EV.* FROM evaluaciones EV, (SELECT IdPrograma, MAX(Fecha) AS Fecha FROM evaluaciones GROUP BY IdPrograma) EV2 WHERE EV.IdPrograma = EV2.IdPrograma AND EV.Fecha = EV2.Fecha) E ON P.IdPrograma = E.IdPrograma WHERE $sql ORDER BY Nombre";
$RS = mysql_query($query);
if(mysql_num_rows($RS))
{
	while($row = mysql_fetch_array($RS))
	{
		if($row['EvaluacionResponsable'] <= 2)
			$color = 'evRojo';
		else if($row['EvaluacionResponsable'] <= 3.5)
			$color = 'evAmarillo';
		else
			$color = 'evVerde';
			
		print '<row id="'.$row['IdPrograma'].'">
				   <cell><![CDATA[<a href="/programa?buscid='.$row['IdPrograma'].'">'.utf8_encode($row['Nombre']).'</a>]]></cell>
				   <cell>'.utf8_encode($row['NombreResponsable']).'</cell>
				   <cell>modulos/img/'.$color.'.png</cell>
				   <cell>'.$row['Fecha'].'</cell>
			   </row>';
	//			   <cell><![CDATA[<span class="'.$color.'">&nbsp;</span>]]></cell>
	}
}
else
{
	print ' <row>
				<cell>No se encontraron coincidencias</cell>
			</row>';
}
print '</rows>';

?>